> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://rockwell.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://rockwell.ferndocs.com/_mcp/server.

# Update Contact

PUT https://connect.plex.com/crm/v1/contacts/{id}
Content-Type: application/json

Update an existing contact record.

Reference: https://rockwell.ferndocs.com/api-reference/contacts-api/update-contact

## Request

### Path parameters

- `id` (string, required)

### Body (application/json)

This endpoint expects an object.

- `firstName` (string, optional)
- `lastName` (string, optional)
- `phone` (string, optional)
- `mobilePhone` (string, optional)
- `email` (string, optional)
- `title` (string, optional)
- `note` (string, optional)
- `officeAddress` (string, optional)

## Response

### 200

Success Response

- `id` (string, optional)
- `customerId` (string, optional)
- `firstName` (string, optional)
- `lastName` (string, optional)
- `title` (string, optional)
- `note` (string, optional)
- `email` (string, optional)
- `phone` (string, optional)
- `modifiedById` (string, optional)
- `modifiedDate` (datetime, optional)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (CrmV1ContactsIdPutResponsesContentApplicationJsonSchemaError, optional)

### 401 Unauthorized Error

Unauthorized - Missing Token

- `error` (CrmV1ContactsIdPutResponsesContentApplicationJsonSchemaError, optional)

### 403 Forbidden Error

Forbidden - Insufficient Permissions

- `error` (CrmV1ContactsIdPutResponsesContentApplicationJsonSchemaError, optional)

### 404 Not Found Error

Not Found

- `error` (CrmV1ContactsIdPutResponsesContentApplicationJsonSchemaError, optional)

### 409 Conflict Error

Conflict - Duplicate Email

- `error` (CrmV1ContactsIdPutResponsesContentApplicationJsonSchemaError, optional)

### 422 Unprocessable Entity Error

Unprocessable Entity - Invalid Customer ID

- `error` (CrmV1ContactsIdPutResponsesContentApplicationJsonSchemaError, optional)

### 429 Too Many Requests Error

Rate Limit Exceeded

- `error` (CrmV1ContactsIdPutResponsesContentApplicationJsonSchemaError, optional)

### 500 Internal Server Error

Internal Server Error

- `error` (CrmV1ContactsIdPutResponsesContentApplicationJsonSchemaError, optional)

### 503 Service Unavailable Error

Service Unavailable

- `error` (CrmV1ContactsIdPutResponsesContentApplicationJsonSchemaError, optional)

## Types

### CrmV1ContactsIdPutResponsesContentApplicationJsonSchemaError

- `code` (string, optional)
- `message` (string, optional)
- `details` (list of CrmV1ContactsIdPutResponsesContentApplicationJsonSchemaErrorDetailsItems, optional)
- `timestamp` (datetime, optional)
- `path` (string, optional)
- `statusPage` (string, optional)

### CrmV1ContactsIdPutResponsesContentApplicationJsonSchemaErrorDetailsItems

- `issue` (string, optional)
- `retryAfter` (integer, optional)
- `action` (string, optional)

## Examples

**Request**

```json
{
  "firstName": "John",
  "lastName": "Smith",
  "phone": "+1-555-0123",
  "mobilePhone": "+1-555-0125",
  "email": "john.smith@example.com",
  "title": "Senior Purchasing Manager",
  "note": "Updated contact information - now senior manager",
  "officeAddress": "123 Business St, Suite 200, New York, NY 10001"
}
```

**Response**

```json
{
  "id": "contact-123e4567-e89b-12d3-a456-426614174000",
  "customerId": "123e4567-e89b-12d3-a456-426614174000",
  "firstName": "John",
  "lastName": "Smith",
  "title": "Senior Purchasing Manager",
  "note": "Updated contact information - now senior manager",
  "email": "john.smith@example.com",
  "phone": "+1-555-0123",
  "modifiedById": "user-001",
  "modifiedDate": "2026-02-10T21:00:00.00Z"
}
```

**SDK Code**

```python updateContact_example
import requests

url = "https://connect.plex.com/crm/v1/contacts/id"

payload = {
    "firstName": "John",
    "lastName": "Smith",
    "phone": "+1-555-0123",
    "mobilePhone": "+1-555-0125",
    "email": "john.smith@example.com",
    "title": "Senior Purchasing Manager",
    "note": "Updated contact information - now senior manager",
    "officeAddress": "123 Business St, Suite 200, New York, NY 10001"
}
headers = {"Content-Type": "application/json"}

response = requests.put(url, json=payload, headers=headers)

print(response.json())
```

```javascript updateContact_example
const url = 'https://connect.plex.com/crm/v1/contacts/id';
const options = {
  method: 'PUT',
  headers: {'Content-Type': 'application/json'},
  body: '{"firstName":"John","lastName":"Smith","phone":"+1-555-0123","mobilePhone":"+1-555-0125","email":"john.smith@example.com","title":"Senior Purchasing Manager","note":"Updated contact information - now senior manager","officeAddress":"123 Business St, Suite 200, New York, NY 10001"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go updateContact_example
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://connect.plex.com/crm/v1/contacts/id"

	payload := strings.NewReader("{\n  \"firstName\": \"John\",\n  \"lastName\": \"Smith\",\n  \"phone\": \"+1-555-0123\",\n  \"mobilePhone\": \"+1-555-0125\",\n  \"email\": \"john.smith@example.com\",\n  \"title\": \"Senior Purchasing Manager\",\n  \"note\": \"Updated contact information - now senior manager\",\n  \"officeAddress\": \"123 Business St, Suite 200, New York, NY 10001\"\n}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby updateContact_example
require 'uri'
require 'net/http'

url = URI("https://connect.plex.com/crm/v1/contacts/id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n  \"firstName\": \"John\",\n  \"lastName\": \"Smith\",\n  \"phone\": \"+1-555-0123\",\n  \"mobilePhone\": \"+1-555-0125\",\n  \"email\": \"john.smith@example.com\",\n  \"title\": \"Senior Purchasing Manager\",\n  \"note\": \"Updated contact information - now senior manager\",\n  \"officeAddress\": \"123 Business St, Suite 200, New York, NY 10001\"\n}"

response = http.request(request)
puts response.read_body
```

```java updateContact_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://connect.plex.com/crm/v1/contacts/id")
  .header("Content-Type", "application/json")
  .body("{\n  \"firstName\": \"John\",\n  \"lastName\": \"Smith\",\n  \"phone\": \"+1-555-0123\",\n  \"mobilePhone\": \"+1-555-0125\",\n  \"email\": \"john.smith@example.com\",\n  \"title\": \"Senior Purchasing Manager\",\n  \"note\": \"Updated contact information - now senior manager\",\n  \"officeAddress\": \"123 Business St, Suite 200, New York, NY 10001\"\n}")
  .asString();
```

```php updateContact_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://connect.plex.com/crm/v1/contacts/id', [
  'body' => '{
  "firstName": "John",
  "lastName": "Smith",
  "phone": "+1-555-0123",
  "mobilePhone": "+1-555-0125",
  "email": "john.smith@example.com",
  "title": "Senior Purchasing Manager",
  "note": "Updated contact information - now senior manager",
  "officeAddress": "123 Business St, Suite 200, New York, NY 10001"
}',
  'headers' => [
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp updateContact_example
using RestSharp;

var client = new RestClient("https://connect.plex.com/crm/v1/contacts/id");
var request = new RestRequest(Method.PUT);
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"firstName\": \"John\",\n  \"lastName\": \"Smith\",\n  \"phone\": \"+1-555-0123\",\n  \"mobilePhone\": \"+1-555-0125\",\n  \"email\": \"john.smith@example.com\",\n  \"title\": \"Senior Purchasing Manager\",\n  \"note\": \"Updated contact information - now senior manager\",\n  \"officeAddress\": \"123 Business St, Suite 200, New York, NY 10001\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift updateContact_example
import Foundation

let headers = ["Content-Type": "application/json"]
let parameters = [
  "firstName": "John",
  "lastName": "Smith",
  "phone": "+1-555-0123",
  "mobilePhone": "+1-555-0125",
  "email": "john.smith@example.com",
  "title": "Senior Purchasing Manager",
  "note": "Updated contact information - now senior manager",
  "officeAddress": "123 Business St, Suite 200, New York, NY 10001"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://connect.plex.com/crm/v1/contacts/id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```